// $Id: ContigDescription.cpp 628 2011-08-31 15:42:16Z ge $
/// \file ContigDescription.cpp
/// \brief The function bodies of class ContigDescription
///
/// $Revision: 1.1 $
/// \author Gerald Weber

#include <algorithm>
#include <iterator>
#include "ContigDescription.h"
using namespace std;
using namespace gbc;
namespace gbc
{

std::ostream& operator<<(std::ostream &out, const ContigDescription &cd)
  {
  out << cd.Contig_type << " ";
  if (cd.Join > 1) out << "join=" << cd.Join << " ";
  ContigDescription::description_container_type::const_iterator di;
  if (cd.Print_short) di=cd.Description.begin()+2; else di=cd.Description.end();
  //std::copy(cd.Description.begin(),di,std::ostream_iterator<ContigDescription::description_container_type::value_type>(out," "));
  out << cd.description() << " ";
  out << cd.Stream_section << " " << cd.Contig_section;
  if (cd.Ignore) out << " IGNORE";
  if (cd.Complementary) out << " complementary";
  return out;
  }

};

