// $Id: FileParser.cpp 628 2011-08-31 15:42:16Z ge $
/// \file FileParser.cpp
/// \brief Contains the FileParser non-template functions
///
/// $Revision: 628 $
/// \author Gerald Weber <gweberbh@gmail.com>

#include "FileParser.h"
#include "FastaFormat.h"
#include "GenbankFormat.h"
#include "IntegerFormat.h"

using namespace gbc;

namespace gbc {
  
  void FileParser::setup_formats(void)
    {
    format("fasta",new FastaFormat);
    format("genbank",new GenbankFormat);
    format("integer",new IntegerFormat);
    }

};
